Summary:            HTTP::Daemon - a simple http server class
Name:               zimbra-perl-http-daemon
Version:            6.01
Release:            1zimbra8.7b1%{?dist}.57
License:            GPL+ or Artistic
Source:             %{name}-%{version}.tar.gz
Packager:           Zimbra Packaging Services <packaging-devel@zimbra.com>
Group:              Development/Languages
BuildRequires:      zimbra-perl-base, zimbra-perl-http-date, zimbra-perl-http-message, zimbra-perl-lwp-mediatypes
Requires:           zimbra-perl-base, zimbra-perl-http-date, zimbra-perl-http-message, zimbra-perl-lwp-mediatypes
AutoReqProv:        no
URL:                https://metacpan.org/release/HTTP-Daemon

%description
Instances of the HTTP::Daemon class are HTTP/1.1 servers that listen
on a socket for incoming requests. The HTTP::Daemon is a subclass of
IO::Socket::INET, so you can perform socket operations directly on it
too.

%define debug_package %{nil}

%prep
%setup -n HTTP-Daemon-%{version}

%build
perl -I /opt/zimbra/common/lib/perl5 Makefile.PL INSTALL_BASE=/opt/zimbra/common \
 INSTALLSITEMAN1DIR=/opt/zimbra/common/share/man/man1 INSTALLSITEMAN3DIR=/opt/zimbra/common/share/man/man3 \
 INSTALLMAN1DIR=/opt/zimbra/common/share/man/man1 INSTALLVENDORMAN1DIR=/opt/zimbra/common/share/man/man1 \
 INSTALLMAN3DIR=/opt/zimbra/common/share/man/man3 INSTALLVENDORMAN3DIR=/opt/zimbra/common/share/man/man3 \
 LIB=/opt/zimbra/common/lib/perl5
PERL5LIB=/opt/zimbra/common/lib/perl5 make test

# remove .packlist and perllocal.pod
#  $(DESTINSTALLSITEARCH)/auto/$(FULLEXT)/.packlist
#  $(DESTINSTALLSITEARCH)/perllocal.pod
%define perl_archname %(perl -MConfig -e 'print $Config{archname}')
%install
make install DESTDIR=${RPM_BUILD_ROOT}
rm -rf %{buildroot}/opt/zimbra/common/lib/perl5/%{perl_archname}

%files
%defattr(-,root,root)
/opt/zimbra/common/lib
/opt/zimbra/common/share/man
%changelog
